Subject: Re: [PATCH 1/5] [POWERPC] cpm2: CPM2 interrupt controller fix

From: Vitaly Bordug <[email-masked]>
Date: Mon, 22 Jan 2007 23:55:33 +0300

On Tue, 23 Jan 2007 06:55:37 +1100
Benjamin Herrenschmidt wrote:

> On Mon, 2007-01-22 at 16:43 +0300, Vitaly Bordug wrote:
> > On Mon, 22 Jan 2007 20:57:35 +1100
> > Paul Mackerras wrote:
> > 
> > > Vitaly Bordug writes:
> > > 
> > > > This contains important fixes for the CPM2 PIC code. Eliminated
> > > > CPM_IRQ_OFFSET, pulling the respective interrupt numbers from
> > > > the interrupt mapping. Updated devicetree files to reflect that.
> > > > Changed direct IC-related IO accesses to the IO accessors. Fixed
> > > > all the sense values to keep coherency with ipic. In the current
> > > > code, CPM2 stuff will have no IRQs and hence could be hardly
> > > > usable.
> > > 
> > > You seem to be adding significant stuff;
> > > include/asm-powerpc/mpc8260.h is new, and there is this hunk in
> > > your patch 4/5:
> 
> > As I said, new io.h in powerpc broke compilation for both 8272 and
> > 8560 that were committted.
> 
> I missed that report of breakage, can you give me more details on what
> happens ?
> 
> 

Compilation fails on locating various CPM-related defines, that used to be in ppc/io.h. So, not to mangle new io.h I've added 
mpc8260.h to have them defined there. This is not that beautiful, but stuff that is claimed to be supported should work
and at least not bail out the compiler :).

I have appropriate fix in the queue, that gets rid of global IMMAP pointer yet keeping ppc happy, but the patch is to significant to get into the current kernel.

--
Sincerely, Vitaly